import React, { CSSProperties, ReactNode } from 'react';
export interface ILadderStep {
    /**
     * @description 标题
     * @default
     */
    title: string | ReactNode;
    /**
     * @description 内容
     * @default
     */
    content: string | ReactNode;
    /**
     * @description 背景色
     * @default
     */
    backgroundColor: string;
}
export interface IProps {
    /**
     * @description 阶
     * @default
     */
    steps: ILadderStep[];
    /**
     * @description 每一阶步进的偏移距离
     * @default 8
     */
    offset?: number;
    /**
     * @description 每一阶高度
     * @default 100
     */
    stepHeight?: number;
    /**
     * @description 激活时颜色
     * @default
     */
    activeColor?: string;
    /**
     * @description 自定义样式
     * @default
     */
    style?: CSSProperties;
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
    /**
     * @description 默认索引
     * @default
     */
    defaultActiveIndex?: number;
    /**
     * @description 当前索引
     * @default
     */
    activeIndex?: number;
    /**
     * @description 索引变化时的回调
     * @default
     */
    onChange?: (index: number) => void;
}
declare const _default: React.MemoExoticComponent<(props: IProps) => JSX.Element>;
export default _default;
