import type { XAXisOption, YAXisOption, SeriesOption, TitleOption, LegendOption } from 'echarts/types/dist/shared';
import { EBaseChartOption, IAxis, IBaseChartProps } from './model';
export declare const DEFAULT_LIGHT_COLORS: string[];
export declare const DEFAULT_LIGHT_TOOLTIP: {
    trigger: string;
    textStyle: {
        color: string;
    };
    borderWidth: number;
    backgroundColor: string;
};
export declare const DEFAULT_LIGHT_VALUE_AXIS: {
    splitLine: {
        show: boolean;
        lineStyle: {
            color: string;
            type: string;
        };
    };
    axisLabel: {
        color: string;
    };
};
export declare const DEFAULT_LIGHT_COORDINATE_AXIS: {
    axisLine: {
        lineStyle: {
            color: string;
        };
    };
    axisLabel: {
        color: string;
    };
};
export declare const DEFAULT_LIGHT_LEGEND: {
    type: string;
    top: string;
    icon: string;
    itemHeight: string;
    textStyle: {
        color: string;
    };
};
export declare const combineOption: (_option: EBaseChartOption, _theme?: string | undefined) => import("./model").ELineOption | import("./model").EBarOption | import("./model").EPieOption | import("./model").EScatterOption | import("./model").EFunnelOption | import("./model").ERadarOption | import("echarts/types/dist/echarts").EChartsOption;
export declare const mergeAxis: (axis: IAxis) => ({
    splitLine: {
        show: boolean;
        lineStyle: {
            color: string;
            type: string;
        };
    };
    axisLabel: {
        color: string;
    };
} | {
    axisLine: {
        lineStyle: {
            color: string;
        };
    };
    axisLabel: {
        color: string;
    };
}) & IAxis;
export declare const combineAxis: (_axis: IAxis | IAxis[]) => (({
    splitLine: {
        show: boolean;
        lineStyle: {
            color: string;
            type: string;
        };
    };
    axisLabel: {
        color: string;
    };
} | {
    axisLine: {
        lineStyle: {
            color: string;
        };
    };
    axisLabel: {
        color: string;
    };
}) & IAxis)[];
export declare const pickSeries: (props: IBaseChartProps) => SeriesOption[];
export declare const resolveTitle: (title: TitleOption | string | boolean | undefined) => TitleOption;
export declare const resolveAxis: (axis: XAXisOption | XAXisOption[] | YAXisOption | YAXisOption[] | boolean | undefined) => XAXisOption | XAXisOption[] | YAXisOption | YAXisOption[];
export declare const resolveLegend: (legend: LegendOption | boolean | undefined) => LegendOption;
