import React, { CSSProperties, ReactNode } from 'react';
import { IDescriptionProps } from './description';
export interface IComparisonItem {
    /**
     * @description 背景色
     * @default
     */
    backgroundColor: string;
    /**
     * @description 百分比
     * @default
     */
    percent: number;
    /**
     * @description 自定义样式
     * @default
     */
    style?: CSSProperties;
    /**
     * @description 自定义类型
     * @default
     */
    className?: string;
    /**
     * @description 内容
     * @default
     */
    content?: string | ReactNode;
    /**
     * @description 描述
     * @default
     */
    description?: Omit<IDescriptionProps, 'placement'>;
}
export interface IProps {
    /**
     * @description 左侧
     * @default
     */
    left: IComparisonItem;
    /**
     * @description 右侧
     * @default
     */
    right: IComparisonItem;
    /**
     * @description 自定义样式
     * @default
     */
    style?: CSSProperties;
    /**
     * @description 自定义类名
     * @default
     */
    className?: string;
}
declare const _default: React.MemoExoticComponent<(props: IProps) => JSX.Element>;
export default _default;
