import { CSSProperties } from 'react';
export interface IWordDivisionSeries {
    /**
     * 分词列表
     */
    words: IWordDivisionWord[];
    /**
     * 词性列表
     */
    lexicals: Record<string, IWordDivisionLexical>;
    /**
     * 颜色列表，如果没有会取默认列表
     */
    colors?: string[];
    /**
     * 被忽略时的颜色
     */
    ignoreStyle?: CSSProperties;
}
export interface IWordDivisionWord {
    /**
     * 文本
     */
    text: string;
    /**
     * 词性
     */
    lexical: string;
}
export interface IWordDivisionLexical {
    /**
     * 名称
     */
    name: string;
    /**
     * 颜色
     */
    color?: string;
}
