"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var React=require("react"),core=require("echarts/core"),charts=require("echarts/charts"),components=require("echarts/components"),lodashEs=require("lodash-es"),ResizeObserver=require("resize-observer-polyfill"),renderers=require("echarts/renderers"),classnames=require("classnames"),WordCloudChart=require("wordcloud"),zrender=require("zrender");function _interopDefaultLegacy(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}function _interopNamespace(a){var r;return a&&a.__esModule?a:(r=Object.create(null),a&&Object.keys(a).forEach(function(e){var t;"default"!==e&&(t=Object.getOwnPropertyDescriptor(a,e),Object.defineProperty(r,e,t.get?t:{enumerable:!0,get:function(){return a[e]}}))}),r.default=a,Object.freeze(r))}var React__default=_interopDefaultLegacy(React),ResizeObserver__default=_interopDefaultLegacy(ResizeObserver),classnames__default=_interopDefaultLegacy(classnames),WordCloudChart__namespace=_interopNamespace(WordCloudChart),zrender__namespace=_interopNamespace(zrender);function __rest(e,t){var a={};for(s in e)Object.prototype.hasOwnProperty.call(e,s)&&t.indexOf(s)<0&&(a[s]=e[s]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols)for(var r=0,s=Object.getOwnPropertySymbols(e);r<s.length;r++)t.indexOf(s[r])<0&&Object.prototype.propertyIsEnumerable.call(e,s[r])&&(a[s[r]]=e[s[r]]);return a}const DEFAULT_LIGHT_COLORS=["#399DFA","#52CCA3","#9580FF","#A8BCDF","#D4E7FC","#F49800","#7B87D7","#A1E6CE","#BFB3FF","#CFDAE9"],DEFAULT_LIGHT_TOOLTIP={trigger:"axis",textStyle:{color:"#fff"},borderWidth:0,backgroundColor:"#242733"},DEFAULT_LIGHT_VALUE_AXIS={splitLine:{show:!0,lineStyle:{color:"#F2F2F2",type:"dashed"}},axisLabel:{color:"rgba(0, 0, 0, 0.45)"}},DEFAULT_LIGHT_COORDINATE_AXIS={axisLine:{lineStyle:{color:"#E3E7EE"}},axisLabel:{color:"rgba(0, 0, 0, 0.45)"}},DEFAULT_LIGHT_LEGEND={type:"scroll",top:"bottom",icon:"circle",itemHeight:"8",textStyle:{color:"rgba(0, 0, 0, 0.45)"}},combineOption=(e,t)=>{const a=lodashEs.cloneDeep(e);return t?a:(null!==a&&void 0!==a&&a.xAxis&&(a.xAxis=combineAxis(a.xAxis)),null!==a&&void 0!==a&&a.yAxis&&(a.yAxis=combineAxis(a.yAxis)),lodashEs.merge({tooltip:lodashEs.cloneDeep(DEFAULT_LIGHT_TOOLTIP),color:lodashEs.cloneDeep(DEFAULT_LIGHT_COLORS),legend:lodashEs.cloneDeep(DEFAULT_LIGHT_LEGEND)},a))},mergeAxis=e=>lodashEs.merge("value"===e.type?lodashEs.cloneDeep(DEFAULT_LIGHT_VALUE_AXIS):lodashEs.cloneDeep(DEFAULT_LIGHT_COORDINATE_AXIS),e),combineAxis=e=>{const t=lodashEs.isArray(e)?e:[e];return t.map(e=>mergeAxis(e))},pickSeries=e=>{var t,e=lodashEs.cloneDeep(e);return lodashEs.merge(lodashEs.castArray(null==(t=e.option)?void 0:t.series),lodashEs.castArray(e.series))||[]},resolveTitle=e=>lodashEs.isBoolean(e)?{show:e}:lodashEs.isString(e)?{text:e}:null!=e?e:{},resolveAxis=e=>lodashEs.isBoolean(e)?{show:e}:null!=e?e:{},resolveLegend=e=>lodashEs.isBoolean(e)?{show:e}:null!=e?e:{};core.use([components.TitleComponent,components.TooltipComponent,renderers.CanvasRenderer,renderers.SVGRenderer,components.ToolboxComponent,components.LegendComponent,components.GraphicComponent]);var Base=React.forwardRef(function(t,e){const{height:a="350px",theme:r,className:s,style:l={},renderer:n="canvas"}=t,o=React.useRef(null),i=React.useRef(null),c=React.useMemo(()=>{var e=lodashEs.merge(Object.assign({},t.option||{}),lodashEs.omit(t,["option","height","theme"]));return combineOption(e,t.theme)},[t]);return React.useImperativeHandle(e,()=>({getInstance:()=>i.current})),React.useEffect(()=>{if(o.current){i.current=core.init(o.current,r,{renderer:n});const e=new ResizeObserver__default.default(()=>{var e;null!=(e=i.current)&&e.resize()});return e.observe(o.current),()=>{e.disconnect(),i.current&&i.current.dispose()}}},[o,i,r,n]),React.useEffect(()=>(i.current&&i.current.setOption(c,!0),()=>{i.current&&!i.current.isDisposed()&&i.current.clear()}),[c]),React__default.default.createElement("div",{ref:o,className:classnames__default.default({"bixi-chart-container":!0,className:!!s}),style:Object.assign({height:a},l)})});core.use([components.GridComponent,components.DataZoomComponent,charts.LineChart]);const areaStyle={shadowColor:"rgba(57, 157, 250, 0.08)",shadowBlur:10,shadowOffsetY:10,shadowOffsetX:10,opacity:.1},lineStyle={width:3,shadowColor:"rgba(57, 157, 250, 0.1)",shadowBlur:12,shadowOffsetY:6},smooth=!0,showSymbol=!1,type="line";var index$8=React.memo(React.forwardRef(function(e,t){var{title:a,legend:r,xAxis:s,yAxis:l}=e,e=__rest(e,["title","legend","xAxis","yAxis"]);const n=pickSeries(e);var o=null===n||void 0===n?void 0:n.map(e=>Object.assign({type:type,smooth:smooth,showSymbol:showSymbol,areaStyle:areaStyle,lineStyle:lineStyle},e));return React__default.default.createElement(Base,Object.assign({},e,{title:resolveTitle(a),legend:resolveLegend(r),xAxis:resolveAxis(s),yAxis:resolveAxis(l),series:o,ref:t}))})),index$7=(core.use([components.GridComponent,components.DataZoomComponent,charts.BarChart]),React.memo(React.forwardRef(function(e,t){var{tooltip:a={},legend:r,xAxis:s,yAxis:l,title:n}=e,e=__rest(e,["tooltip","legend","xAxis","yAxis","title"]);const o=pickSeries(e);var i=o.map(e=>Object.assign({type:"bar"},e));return React__default.default.createElement(Base,Object.assign({},e,{tooltip:Object.assign({trigger:"axis",axisPointer:{type:"shadow"}},a),series:i,title:resolveTitle(n),legend:resolveLegend(r),xAxis:resolveAxis(s),yAxis:resolveAxis(l),ref:t}))}))),index$6=(core.use([charts.PieChart,components.CalendarComponent]),React.memo(React.forwardRef(function(e,t){const a=pickSeries(e);var r=null===a||void 0===a?void 0:a.map(e=>Object.assign({type:"pie"},e));return React__default.default.createElement(Base,Object.assign({},e,{series:r,title:Object.assign({bottom:"middle",right:"center"},resolveTitle(null==e?void 0:e.title)),legend:resolveLegend(null==e?void 0:e.legend),tooltip:Object.assign({trigger:"item"},(null==e?void 0:e.tooltip)||{}),ref:t}))})));core.use([components.GridComponent,components.DataZoomComponent,charts.FunnelChart]);const TOOLTIP={trigger:"item",formatter:"{b} : {c}%"};var index$5=React.memo(React.forwardRef(function(e,t){const a=pickSeries(e);var r=null===a||void 0===a?void 0:a.map(e=>Object.assign({type:"funnel",sort:"descending"},e));return React__default.default.createElement(Base,Object.assign({},e,{series:r,legend:resolveLegend(null==e?void 0:e.legend),title:resolveTitle(null==e?void 0:e.title),tooltip:Object.assign(Object.assign({},TOOLTIP),e.tooltip),ref:t}))})),index$4=(core.use([components.GridComponent,components.DataZoomComponent,charts.ScatterChart]),React.memo(React.forwardRef(function(e,t){var{xAxis:a,yAxis:r,title:s,legend:l}=e,e=__rest(e,["xAxis","yAxis","title","legend"]);const n=pickSeries(e);var o=null===n||void 0===n?void 0:n.map(e=>Object.assign({type:"scatter"},e));return React__default.default.createElement(Base,Object.assign({},e,{title:resolveTitle(s),legend:resolveLegend(l),xAxis:resolveAxis(a),yAxis:resolveAxis(r),series:o,ref:t}))})));core.use([components.GridComponent,components.DataZoomComponent,charts.PieChart,components.PolarComponent]);const POLAR={center:["50%","50%"],radius:["50%","90%"]},RADIUS_AXIS={type:"category",axisLine:{show:!1},axisTick:{show:!1},axisLabel:{show:!1},splitLine:{show:!1}},SERIES={type:"bar",data:[],coordinateSystem:"polar",roundCap:!0,barWidth:10,showBackground:!0,z:2},ANGLE_AXIS={max:100,clockwise:!0,axisLine:{show:!1},axisTick:{show:!1},axisLabel:{show:!1},splitLine:{show:!1}},TITLE={itemGap:-10,left:"center",top:"center"};var index$3=React.memo(React.forwardRef(function(e,t){var{max:a=100,option:r,title:r=null==r?void 0:r.title,legend:s}=e;const l=pickSeries(e);var n=null===l||void 0===l?void 0:l.map(e=>Object.assign(Object.assign({},SERIES),e));return React__default.default.createElement(Base,Object.assign({},e,{title:Object.assign(Object.assign({},TITLE),resolveTitle(r)),legend:resolveLegend(s),option:Object.assign(Object.assign({polar:POLAR,radiusAxis:RADIUS_AXIS,angleAxis:Object.assign(Object.assign({},ANGLE_AXIS),{max:a})},e.option),{tooltip:{show:!1}}),series:n,ref:t}))})),index$2=React.memo(function(t){const{height:e="350px",className:a,style:r,onClick:s,onHover:l,series:n=[],gridSize:o=14,rotateRatio:i=.6}=t,c=React.useRef(null);return React.useEffect(()=>{var e;if(c.current)return e=Object.assign(Object.assign({},t),{list:null===n||void 0===n?void 0:n.map(({name:e,value:t})=>[e,t]),click:s,hover:l,gridSize:o,rotateRatio:i}),WordCloudChart__namespace(c.current,e),()=>{WordCloudChart__namespace.stop()}},[t,n,s,l,o,i]),React__default.default.createElement("div",{ref:c,className:a,style:Object.assign({width:"100%",height:e},r)})});const prefixCls$6="bixi-chart-ladder";var EComparisonPlacement,index$1=React.memo(r=>{const{steps:e,offset:s=8,stepHeight:l=100,className:t="",style:a={},activeColor:n="#5d7ada"}=r,[o,i]=React.useState(null!=(c=null!=(c=r.activeIndex)?c:r.defaultActiveIndex)?c:0);React.useEffect(()=>{lodashEs.isNil(r.activeIndex)||i(r.activeIndex)},[r.activeIndex]);var c=l*e.length;return React__default.default.createElement("div",{className:classnames__default.default(prefixCls$6+"-container",t),style:a},React__default.default.createElement("div",{className:prefixCls$6+"-step",style:{height:c}},e.map((e,t)=>{var a=t===o?n:e.backgroundColor;return React__default.default.createElement("div",{key:e.title+"_"+t,style:{height:l},className:classnames__default.default(prefixCls$6+"-step-title",{[prefixCls$6+"-step-title-active"]:t===o}),onClick:()=>{var e=t;r.onChange&&r.onChange(e),lodashEs.isNil(r.activeIndex)&&i(e)}},React__default.default.createElement("div",{className:prefixCls$6+"-step-title-blank",style:{width:s*t}}),React__default.default.createElement("div",{className:prefixCls$6+"-step-title-border",style:{width:s,borderRight:s/2+"px solid "+a,borderTop:l/2+"px solid "+a,borderLeft:s/2+"px solid transparent",borderBottom:l/2+"px solid transparent"}}),React__default.default.createElement("div",{className:prefixCls$6+"-step-title-content",style:{backgroundColor:a}},e.title))})),React__default.default.createElement("div",{style:{height:c},className:prefixCls$6+"-content"},e[o].content))});!function(e){e.left="left",e.right="right"}(EComparisonPlacement=EComparisonPlacement||{});const prefixCls$5="bixi-chart-comparison-description",Description=React.memo(e=>{var{lineVisible:t=!0,text:a="",style:r={}}=e,t=React__default.default.createElement(React__default.default.Fragment,null,t?React__default.default.createElement("span",{className:prefixCls$5+"-line",style:Object.assign({backgroundColor:e.color},r)}):React__default.default.createElement(React__default.default.Fragment,null)," "),r=React__default.default.createElement("span",{className:prefixCls$5+"-text"},a);return React__default.default.createElement("div",{className:""+prefixCls$5},e.render||React__default.default.createElement(React__default.default.Fragment,null,e.placement===EComparisonPlacement.left?React__default.default.createElement(React__default.default.Fragment,null,r,t):React__default.default.createElement(React__default.default.Fragment,null),e.placement===EComparisonPlacement.right?React__default.default.createElement(React__default.default.Fragment,null,t,r):React__default.default.createElement(React__default.default.Fragment,null)))}),prefixCls$4="bixi-chart-comparison";var index=React.memo(e=>{var{className:t="",style:a={}}=e,r=Object.assign({flexGrow:e.left.percent,background:e.left.backgroundColor},null!=(r=e.left.style)?r:{}),s=Object.assign({flexGrow:e.right.percent,background:e.right.backgroundColor},null!=(s=e.right.style)?s:{});return React__default.default.createElement("div",{className:classnames__default.default(prefixCls$4,t),style:a},e.left.description?React__default.default.createElement(Description,Object.assign({placement:EComparisonPlacement.left},e.left.description)):React__default.default.createElement(React__default.default.Fragment,null),React__default.default.createElement("div",{className:prefixCls$4+"-content"},React__default.default.createElement("div",{className:prefixCls$4+"-content-left",style:r},e.left.content),React__default.default.createElement("div",{className:prefixCls$4+"-content-right",style:s},e.right.content)),e.right.description?React__default.default.createElement(Description,Object.assign({placement:EComparisonPlacement.right},e.right.description)):React__default.default.createElement(React__default.default.Fragment,null))});const WORD_DIVISION_DEFAULT_COLORS=["#7f9c9c","#4975be","#6fbbe3","#d2a481","#649999","#7a9d5b","#ccacac","#a081b2","#d4c89c","#99c4c4","#2a6574","#8b8bc9","#93ab9f","#d5b48b","#7793be","#9ca1bd","#da8d51","#6378a3","#6993be","#a1bdb6","#72b081","#4f84a3","#87abe2","#4985e9","#5583c9"],prefixCls$3="bixi-chart-word-division-legend",Legend$1=React.memo(e=>{var{className:t="",style:a={}}=e;return React__default.default.createElement("div",{className:classnames__default.default(prefixCls$3,t),style:a},React__default.default.createElement("div",{className:prefixCls$3+"-cube",style:{backgroundColor:e.color}}),React__default.default.createElement("div",{className:prefixCls$3+"-text"},e.text))}),prefixCls$2="bixi-chart-word-division",WordDivision=e=>{const{series:n,className:t="",style:a={},activeLexicals:o}=e,[r,i]=React.useState([]);return React.useEffect(()=>{var e;const r=[],a=null!=(e=n.colors)?e:WORD_DIVISION_DEFAULT_COLORS,s={},{ignoreStyle:l={backgroundColor:"#d9d9d9",color:"#fff"}}=n;Object.keys(n.lexicals).forEach((e,t)=>{s[e]=null!=(e=n.lexicals[e].color)?e:a[t%a.length]}),n.words.forEach((e,t)=>{var a=!!o&&!o.includes(e.lexical);r.push({key:e.lexical+"_"+t,text:e.text,style:Object.assign({backgroundColor:s[e.lexical]},a?l:{})})}),i(r)},[n,o]),React__default.default.createElement("div",{className:classnames__default.default(prefixCls$2+"-container",t),style:a},r.map(e=>React__default.default.createElement("span",{key:e.key,className:prefixCls$2+"-word-item",style:e.style},e.text)))},prefixCls$1=(WordDivision.Legend=Legend$1,"bixi-chart-grammar-legend"),Legend=React.memo(e=>{var{className:t="",style:a={}}=e;return React__default.default.createElement("div",{className:classnames__default.default(prefixCls$1,t),style:a},React__default.default.createElement("div",{className:prefixCls$1+"-type",style:{color:e.color}},e.type),React__default.default.createElement("div",{className:prefixCls$1+"-intro"},e.intro))}),GRAMMAR_DEPEND_COLORS={FONT:"#363b45",GREEN:"#f1f3fa",BLUE:"#d8edec",DEFAULT:"#a7abb0"},GRAMMAR_DEPENDS=[{type:"SBV",intro:"主谓关系",color:"#00776F"},{type:"VOB",intro:"动宾关系",color:"#3B07A4"},{type:"IOB",intro:"间宾关系",color:"#0063A7"},{type:"FOB",intro:"前置宾语",color:"#25772F"},{type:"DBL",intro:"兼语",color:"#555B61"},{type:"ATT",intro:"定中关系",color:"#344795"},{type:"ADV",intro:"状中关系",color:"#A0660A"},{type:"CMP",intro:"动补结构",color:"#003D8F"},{type:"COO",intro:"并列关系",color:"#A84A00"},{type:"POB",intro:"介宾关系",color:"#A20B48"},{type:"LAD",intro:"左附加关系",color:"#486800"},{type:"RAD",intro:"右附加关系",color:"#8E0805"},{type:"IS",intro:"独立结构",color:"#7D6A00"},{type:"WP",intro:"标点",color:"#71168A"},{type:"HED",intro:"核心关系",color:"#1F2878"}],GRAMMAR_DEFAULT_OPTIONS={style:{lineWidth:.5,borderColor:GRAMMAR_DEPEND_COLORS.GREEN,lineDefaultColor:GRAMMAR_DEPEND_COLORS.DEFAULT,fontSize:12,fontFamily:"Microsoft YaHei",color:GRAMMAR_DEPEND_COLORS.FONT,startX:20,startY:280,padding:6,margin:6,maxLineHeight:260,triangleWidth:4,tip:{color:GRAMMAR_DEPEND_COLORS.FONT,lineColor:GRAMMAR_DEPEND_COLORS.GREEN,triangleColor:GRAMMAR_DEPEND_COLORS.GREEN},word:{color:GRAMMAR_DEPEND_COLORS.FONT,borderWidth:1,borderColor:GRAMMAR_DEPEND_COLORS.GREEN,padding:6,margin:6,tipColor:"#C1C3CA",backgroundColor:"#F1F3FA"}},depends:GRAMMAR_DEPENDS};class GrammarRender{constructor(){this.render=null,this.depends=[],this.activeTypes=void 0,this.context={entities:[],relations:[],sentence:"",options:GRAMMAR_DEFAULT_OPTIONS}}init(e,t,a=void 0){this.initRender(e,t),this.activeTypes=a;e=this.renderWords(this.context);this.depends=null!=(t=this.context.options.depends)?t:GRAMMAR_DEPENDS,this.ligatureEntities(e),this.finish(e)}initRender(e,t){this.context=lodashEs.cloneDeep(t),this.context.entities.forEach((e,t)=>{e.index=t}),this.render=zrender__namespace.init(e,{width:"auto",height:"auto"})}expendRelations(){let l=0;const n=[],e=this.context.relations,o=[],i=[];e.forEach(s=>{s.collections.forEach(e=>{var t=e[0],a=e[1],r=Math.abs(t-a);l=Math.max(l,r),n.indexOf(r)<0&&n.push(r),o.push({from:t,to:a,type:s.type}),e.forEach((e,t)=>{i[e]||(i[e]={from:[],to:[],all:[]})}),i[t].to.push(a),i[t].all.push(a),i[a].from.push(t),i[a].all.push(t)})}),i.forEach((e,a)=>{e.all=e.all.sort(function(e,t){return a<e&&t<a||!(e<a&&a<t)&&e<t?1:-1})}),this.context.entitiesRelations=o,this.context.relationReflect=i,this.context.maxDistance=l,this.context.distanceList=n.sort(function(e,t){return e-t})}line(t,e,a,r,s,l){const n=new zrender__namespace.Group;var o=l.triangleWidth,i=null!=(i=this.depends.find(e=>e.type===t))?i:this.depends[0];let c;c=!this.activeTypes||this.activeTypes.includes(t)?i.color:l.lineDefaultColor,n.add(new zrender__namespace.Polyline({cursor:"default",style:{stroke:c,lineWidth:1.5*l.lineWidth,text:t,textPosition:"top",textOffset:[0,8],textBorderWidth:1,fontSize:l.fontSize,fontFamily:l.fontFamily,textShadowColor:l.color,textFill:c},shape:{points:[[e,r],[e,s],[a,s],[a,r]]}}));i=[o/2,-o*Math.sqrt(3)/2],l=[-o/2,-o*Math.sqrt(3)/2];n.add(new zrender__namespace.Polygon({cursor:"default",style:{fill:c},shape:{points:[[a,r],[a+i[0],r+i[1]],[a+l[0],r+l[1]]]}})),this.render.add(n)}lineTo(e,t,a){var r=a.from,s=a.to,a=a.type,l=t.childAt(r).childAt(0),t=t.childAt(s).childAt(0),n=e.options.style;const o=null!=(i=e.distanceList)?i:[];var i=null!=(i=e.relationReflect)?i:[];const c=i[r].all,d=i[s].all;var i=o.length,u=o.indexOf(Math.abs(r-s))+1,s=this.calcEndPointX(e,l,(c.indexOf(s)+1)/(c.length+1)),e=this.calcEndPointX(e,t,(d.indexOf(r)+1)/(d.length+1)),t=l.shape.y-n.maxLineHeight*(u/i);this.line(a,s,e,l.shape.y,t,n)}calcEndPointX(e,t,a){e=e.options.style;return(t.shape.width-2*e.padding)*a+t.shape.x+e.padding}ligatureEntities(t){var e;this.expendRelations(),(null!=(e=this.context.entitiesRelations)?e:[]).forEach(e=>{this.lineTo(this.context,t,e)})}renderWords(e){const t=e.options.style,a=e.entities,r=t.startY,s=new zrender__namespace.Group;let l,n=t.startX;return a.forEach(e=>{l=this.createWord(e,t,n,r,s),n+=l+t.lineWidth+t.margin}),this.render.add(s),s}createWord(e,t,a,r,s){var l=e.word,n=this.calcWordGauge(e,t,"width"),o=this.calcWordGauge(e,t,"height");const i=new zrender__namespace.Group;return i.add(new zrender__namespace.Rect({cursor:"default",style:{fill:t.word.backgroundColor,stroke:t.borderColor,lineWidth:t.lineWidth,text:l,textPosition:"top",textOffset:[0,t.fontSize+t.word.borderWidth+2*t.word.padding],textBorderWidth:1,fontSize:t.fontSize,fontFamily:t.fontFamily,textFill:t.word.color},shape:{x:a,y:r,width:n,height:o}})),i.add(new zrender__namespace.Text({cursor:"default",style:{text:e.index+" | "+e.type,textFill:t.word.tipColor,fontSize:t.fontSize,x:a+12,y:r+22,textRect:{x:a,y:r,width:n,height:o}}})),s.add(i),n}calcWordGauge(e,t,a){let r=0;var s=e.word,e=e.index+" | "+e.type;return"height"===a?r=2*t.fontSize:"width"===a&&(r=Math.max(s.length*t.fontSize,e.length*t.fontSize/2)),t.lineWidth+r+2*t.padding}finish(e){const t=e.childAt(e.childCount()-1),a=t.childAt(0);setTimeout(()=>{this.render.dom.style.width=a.shape.x+a.shape.width+20+"px",this.render.resize()},50)}}const prefixCls="bixi-chart-grammar",Grammar=e=>{const{series:t,activeTypes:a,style:r={},innerStyle:s={},className:l=""}=e,n=React.useRef(null),o=React.useRef(new GrammarRender);return React.useEffect(()=>{n.current&&o.current.init(n.current,lodashEs.merge({},{options:GRAMMAR_DEFAULT_OPTIONS},Object.assign({},t)),a)},[t,a]),React__default.default.createElement("div",{className:classnames__default.default(prefixCls+"-container",l),style:Object.assign({overflow:"auto"},r)},React__default.default.createElement("div",{ref:n,style:Object.assign({height:"350px"},s)}))};Grammar.Legend=Legend,exports.Bar=index$7,exports.Base=Base,exports.Comparison=index,exports.Funnel=index$5,exports.GRAMMAR_DEFAULT_OPTIONS=GRAMMAR_DEFAULT_OPTIONS,exports.GRAMMAR_DEPENDS=GRAMMAR_DEPENDS,exports.GRAMMAR_DEPEND_COLORS=GRAMMAR_DEPEND_COLORS,exports.Grammar=Grammar,exports.GrammarRender=GrammarRender,exports.Ladder=index$1,exports.Line=index$8,exports.Pie=index$6,exports.Progress=index$3,exports.Scatter=index$4,exports.WORD_DIVISION_DEFAULT_COLORS=WORD_DIVISION_DEFAULT_COLORS,exports.WordCloud=index$2,exports.WordDivision=WordDivision;
